
Redmine - Feature #10937

new user format #{lastname}

2012-05-16 08:16 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed   

Description

Please add new user format #{lastname}.

Calling by a last name is more common in a Japanese company than calling by a first name.

Index: app/models/user.rb

===================================================================

--- app/models/user.rb    (revision 9651)

+++ app/models/user.rb    (working copy)

@@ -32,6 +32,7 @@

     :firstname => {:string => '#{firstname}', :order => %w(firstname id)},

     :lastname_firstname => {:string => '#{lastname} #{firstname}', :order => %w(lastname firstnam

e id)},

     :lastname_coma_firstname => {:string => '#{lastname}, #{firstname}', :order => %w(lastname fi

rstname id)},

+    :lastname => {:string => '#{lastname}', :order => %w(lastname id)},

     :username => {:string => '#{login}', :order => %w(login id)},

   }

Related issues:

Related to Redmine - Feature #12085: New user name format: firstname + first ... Closed

Associated revisions

Revision 10542 - 2012-10-01 09:07 - Toshi MARUYAMA

pin user format order at setting panel (#10937)

Revision 10543 - 2012-10-01 09:08 - Toshi MARUYAMA

add new user format "lastname" (#10937)

Revision 10544 - 2012-10-01 09:19 - Toshi MARUYAMA

code cleanup r10542 changes (#10937)

History

#1 - 2012-05-16 10:18 - Etienne Massip

- Description updated

#2 - 2012-05-16 10:19 - Etienne Massip

- Target version set to Candidate for next minor release

#3 - 2012-10-01 09:20 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 2.2.0

- % Done changed from 0 to 100

#4 - 2012-10-09 19:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed
